tagstream-conduit-0.5.5.3: streamlined html tag parser

Safe Haskell | Safe
Language | Haskell98

Text.HTML.TagStream.Types

# Documentation

type Attr' s = (s, s) #

data Token' s #

Constructors

TagOpen s [Attr' s] Bool |
TagClose s |
Text s |
Comment s |
Special s s |
Incomplete s |

Instances

Functor Token' # |
Methods fmap :: (a -> b) -> Token' a -> Token' b # (<$) :: a -> Token' b -> Token' a #
Foldable Token' # |
Methods fold :: Monoid m => Token' m -> m # foldMap :: Monoid m => (a -> m) -> Token' a -> m # foldr :: (a -> b -> b) -> b -> Token' a -> b # foldr' :: (a -> b -> b) -> b -> Token' a -> b # foldl :: (b -> a -> b) -> b -> Token' a -> b # foldl' :: (b -> a -> b) -> b -> Token' a -> b # foldr1 :: (a -> a -> a) -> Token' a -> a # foldl1 :: (a -> a -> a) -> Token' a -> a # toList :: Token' a -> [a] # null :: Token' a -> Bool # length :: Token' a -> Int # elem :: Eq a => a -> Token' a -> Bool # maximum :: Ord a => Token' a -> a # minimum :: Ord a => Token' a -> a # sum :: Num a => Token' a -> a # product :: Num a => Token' a -> a #
Traversable Token' # |
Methods traverse :: Applicative f => (a -> f b) -> Token' a -> f (Token' b) # sequenceA :: Applicative f => Token' (f a) -> f (Token' a) # mapM :: Monad m => (a -> m b) -> Token' a -> m (Token' b) # sequence :: Monad m => Token' (m a) -> m (Token' a) #
Eq s => Eq (Token' s) # |
Methods (==) :: Token' s -> Token' s -> Bool # (/=) :: Token' s -> Token' s -> Bool #
Show s => Show (Token' s) # |
Methods showsPrec :: Int -> Token' s -> ShowS # show :: Token' s -> String # showList :: [Token' s] -> ShowS #

data TagType #

Constructors

TagTypeClose |
TagTypeSpecial |
TagTypeNormal |